@mixin button-style {
  background-color: $buttonColour;
  border-radius: 3%;
  color: white;
  border: none;
  width: 7em;
  height: 2em;
  margin-top: 2em;
}

@mixin link-style {
    font-family: "Sukhumvit Set", sans-serif;
    font-size: map-get($font-sizes, "small");;
    color: white;
}

$font-sizes: ("smaller" : 10px, "small": 12px, "normal": 18px, "large": 24px, "huge": 80px);

html {
  padding: 0;
  margin: 0;
  border: none;

  body {
    @extend html;
    background-color: $contentBackgroundColor;

    .header {
      display: block;
      background: url('../img/m-h-day.jpg') no-repeat center center;
      background-size: cover;
      resize: both;
      height: 500px;
      border-bottom-right-radius: 40%;

      .header-wrap {
        padding-left: 9em;

        .landing-logo {
          display: flex;
          padding-top: 0.5em;

          img {
            padding-right: 1em;
          }

          p {
            position: relative;
            font-size: map-get($font-sizes, "normal");;
            color: #2c2f3c;
            padding: 0;
            margin: 0;

            span:before {
              content: "\A";
              white-space: pre;
              height: 0.1em;
            }

            span {
              display: block;
              position: absolute;
              top: 0;
              bottom: 0;
              left: 0;
              right: 0;
              padding: 0;
              text-align: center;
              margin-top: 1.5em;
              font-weight: normal;
              font-size: map-get($font-sizes, "smaller");
            }
          }
        }

        .header_heading {
          position: relative;
          font-family: "Source Sans Pro", sans-serif;
          font-weight: bold;
          font-size: map-get($font-sizes, "huge");
          color: #2c2f3c;
          width: 50%;
          padding-top: 0.2em;
          padding-bottom: 0.2em;
          margin-top: 0;
          z-index: 1;
          line-height: 1em;
        }

        .header_heading::after {
          position: absolute;
          content: '';
          z-index: -1;
          background-color: $highlightColor;
          height: 0.6em;
          width: 4.2em;
          bottom: 0.3em;
          left: 0;
        }

        .header_text {
          font-family: "Franklin Casion", sans-serif;
          color: #4c5254;
          font-size: map-get($font-sizes, "small");
          line-height: 1.5em;
          width: 35%;
          padding-top: 0.5em;
          padding-bottom: 0.5em;
          margin: 0;
        }

        div {

          .header_button {
            @include button-style;
            margin-right: 6em;
          }

          .login {
            @include link-style;
          }
        }
      }
    }

    .section {
      display: flex;
      flex-direction: column;

      .section_text {
        position: relative;
        text-align: center;
        font-family: "Euphemia UCAS", sans-serif;
        font-size: map-get($font-sizes, "large");
        padding-top: 1em;
        padding-bottom: 1em;
        z-index: 1;
      }

      .section_text::after {
        position: absolute;
        content: '';
        z-index: -1;
        background-color: $highlightColor;
        height: 1.2em;
        width: 4.6em;
        bottom: 1.2em;
        right: 24.4em;
      }

      .section_card_wrap {
        display: flex;
        flex-direction: column;
        text-align: center;
        align-items: center;

        .section_card {
          display: flex;
          background-color: #202020;
          width: 50%;
          margin-bottom: 1em;
          border-radius: 1%;

          .section_card_img {
            margin: 1em;
            border-radius: 1%;
            width: 40%;
          }

          .section_card_right_container {
            display: flex;
            flex-direction: column;
            width: 60%;
            color: white;
            margin: 1em;
            padding: 1em;

            .section_card_heading {
              font-family: "Sukhumvit Set", sans-serif;
              font-weight: bold;
              padding-bottom: 2em;
            }

            .section_card_text {
              font-family: "Sukhumvit Set", sans-serif;
              font-size: map-get($font-sizes, "small");
              color: darkgrey;
              text-align: start;
              padding-left: 1em;
              padding-right: 1em;
            }

            a {
              font-family: "Sukhumvit Set", sans-serif;
              font-size: map-get($font-sizes, "small");
              color: darkgrey;
            }
          }
        }
      }

      .section_banner {
        display: flex;
        justify-content: space-between;
        align-self: center;
        margin-top: 8em;
        padding: 0 10em;
        height: 8em;
        width: 60%;
        background-image: $backgroundBannerColor;
        align-items: center;
        border-radius: 1%;
        font-family: "Hind", sans-serif;
        position: relative;
        z-index: 2;

        .section_banner_text_wrap {
          display: block;

          .section_banner_heading {
            font-size: 1.5em;
            font-weight: bold;
            display: inline-block;
            position: relative;
            color: #2c2f3c;
            font-family: "Source Sans Pro", sans-serif;
            line-height: 2em;
          }

          .section_banner_heading::after {
            content: '';
            width: 2.2em;
            height: 1.5em;
            position: absolute;
            background-color: $highlightColor;
            z-index: -1;
            left: 4em;
            bottom: 0.5em;
          }

          .section_banner_text {
            color: darkgrey;
          }
        }

        .section_banner_button {
          @include button-style;
        }
      }
    }

    .footer {
      background-color: #202020;
      height: 15em;
      min-width: 75em;
      margin-top: -4em;
      padding-top: 2em;

      .footer-wrap {
        display: flex;
        text-align: center;
        align-items: center;
        justify-content: space-evenly;
        height: 100%;

        .footer_logo {
          display: flex;
          padding-top: 0.5em;
          text-align: center;
          justify-content: center;

          img {
            padding-right: 1em;
          }

          p {
            position: relative;
            font-size: map-get($font-sizes, "large");
            font-family: "Sukhumvit Set", sans-serif;
            color: darkgrey;
            padding: 0;
            margin: 0;

            span:before {
              content: "\A";
              white-space: pre;
              height: 0.1em;
            }

            span {
              display: block;
              position: absolute;
              top: 0;
              bottom: 0;
              left: 0;
              right: 0;
              margin-top: 1.5em;
              font-weight: normal;
              font-size: map-get($font-sizes, "smaller");
            }
          }
        }

        .footer_text {
          font-family: "Sukhumvit Set", sans-serif;
          font-size: map-get($font-sizes, "smaller");
          color: darkgrey;
          width: 15%;
          text-align: start;
        }

        .footer-cr {
          font-family: "Sukhumvit Set", sans-serif;
          font-size: map-get($font-sizes, "small");;
          color: darkgrey;
          text-align: center;
        }
      }
    }
  }

  body, *, ::after, ::before {
    padding: 0;
    margin: 0;
    font-size: 100%;
    vertical-align: baseline;
    box-sizing: border-box;
    border: 0;
  }

}







